<?php

class mysqlambiente {
  private $usuario;
  private $servidor;
  private $password;
  private $base_datos;
  private $conexion;
  private $result;
  
  var $flag = false;
  static $_instance;
  function __construct(){
    require_once ("configdatos.php");
    $this->usuario= USER;
    $this->password= PASS;
    $this->servidor= HOST;
    $this->base_datos= DB;
    $this->conectar();
  }

  public function NuevoAmbiente($ambiente){
    $queryambiente = "INSERT INTO tblambientes(AMBIENTE) VALUES
                   ('$ambiente')";
  
    if(mysql_query($queryambiente)){
      return "1";
    }
    else{
        return mysql_error(); 
    }

  }


  public function getAmbientes(){
    $querygetambientes = $this->read("SELECT ID_AMBIENTE, AMBIENTE FROM tblambientes  ORDER BY ambiente ASC");
    return $querygetambientes;
  }


  public function getambienteBYID($id_ambiente){
  $queryambientes = $this->read("SELECT  id_ambiente,ambiente,abreviatura,generado FROM 
                                 tblambientes WHERE id_ambiente ='$id_ambiente'");
  return $queryambientes;
  }

  public function updateambiente($id_ambiente,$ambiente){
    $updambientes ="UPDATE tblambientes SET AMBIENTE ='$ambiente' WHERE ID_AMBIENTE ='$id_ambiente'";

    if(mysql_query($updambientes)){
      return "1";
    }
    else{
      return mysql_error();
    }
  }


 private function read($sql){
  $resultado = mysql_query($sql); 
   if(mysql_num_rows($resultado)> 0){
     while($fila = mysql_fetch_array($resultado)){
         $arreglo[] =$fila;
       }
         return $arreglo;
   }else{
     return "0";
   }
  }

  private function conectar(){
  $this->conexion = mysql_connect($this->servidor,$this->usuario,$this->password);
  mysql_select_db($this->base_datos,$this->conexion);
  @mysql_query("SET NAMES 'utf8'");
 }


}
?>